Subject: Re: linux-next: build failure after merge of the akpm tree

From: Greg KH <[email-masked]>
Date: Thu, 5 Jan 2012 21:05:38 -0800

On Thu, Jan 05, 2012 at 03:52:33PM -0800, Andrew Morton wrote:
> On Thu, 5 Jan 2012 18:29:49 +1100
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi Andrew,
> > 
> > After merging the akpm tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> > 
> > kernel/time/tick-sched.c:874:7: warning: 'struct sysdev_attribute' declared inside parameter list [enabled by default]
> >
> > ...
> >
> > Caused by commit 629d589817da ("tick-sched: add specific do_timer_cpu
> > value for nohz off mode") interacting with the removal of sysdevs in the
> > driver-core tree.  This patch will need reworking for that.
> > 
> > I have reverted that commit for today.
> 
> Bah.  I dropped it.
> 
> I must say, this week was a maximally inappropriate time to merge all this
> sysdev stuff into linux-next.

It was merged the week before christmas, there was a fun vacation break
in there, and a "build warning turns to error" problem with the powerpc
tree that we missed which caused it to be dropped from linux-next for a
few days, which all combined to hit you now.

Sorry about that, a fallout of the time of the year.  It had been a
while since Kay and I had bothered a bunch of people, it was about time :)

greg k-h